commit:     9bedacb4846888300d2978c3913a1e90ec399c93
Author:     Andrius Štikonas <andrius <AT> stikonas <DOT> eu>
AuthorDate: Sun Oct  6 16:09:46 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Oct  6 17:41:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bedacb4

sys-libs/kpmcore: bump version to 4.0.1

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Andrius Štikonas <andrius <AT> stikonas.eu>
Closes: https://github.com/gentoo/gentoo/pull/13190
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-libs/kpmcore/Manifest             |  1 +
 sys-libs/kpmcore/kpmcore-4.0.1.ebuild | 37 +++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/sys-libs/kpmcore/Manifest b/sys-libs/kpmcore/Manifest
index 2486d57f001..6cb85802ed3 100644
--- a/sys-libs/kpmcore/Manifest
+++ b/sys-libs/kpmcore/Manifest
@@ -1 +1,2 @@
 DIST kpmcore-4.0.0.tar.xz 417784 BLAKE2B 
deffb82b3ec5029ce845a398728b31b4da1b1b69377684a982b0d8067cfddc9ccb2ab2f4369faeb289b4aa54841940aae5a69051a30e4895b840c51393b0c487
 SHA512 
16f0a8ecae35c214272f28c49b5fff3d2d5e0959b9dceba392b9b6186d44e10d11fcf16ef0ad1da42f49f0c631ccb858d726a92d7c2f22125dae07fd4d2c5500
+DIST kpmcore-4.0.1.tar.xz 416932 BLAKE2B 
db429a9a51baf2d3f83d36479c05ac28c1d742dfc9e0dda51486d17958c95751da6295fe9e915359717eebbab3877464284b871dd8ded5a87c01c590cf4eac85
 SHA512 
982ad77246f59ade74edba15effca6490ac9ac7bb6db7f6194bcdbfddfa735c9bc1b58020affccd945fcdfc96fce3488167f492d6a13dcd6d19c5692505303ac

diff --git a/sys-libs/kpmcore/kpmcore-4.0.1.ebuild 
b/sys-libs/kpmcore/kpmcore-4.0.1.ebuild
new file mode 100644
index 00000000000..9e74614109c
--- /dev/null
+++ b/sys-libs/kpmcore/kpmcore-4.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+       SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Library for managing partitions"
+HOMEPAGE="https://kde.org/applications/system/org.kde.partitionmanager";
+LICENSE="GPL-3"
+SLOT="5/8"
+IUSE=""
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="
+       $(add_frameworks_dep kauth)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kwidgetsaddons)
+       $(add_qt_dep qtdbus)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtwidgets)
+       || (
+               app-crypt/qca[botan]
+               app-crypt/qca[ssl]
+       )
+       >=sys-apps/util-linux-2.33.2
+"
+RDEPEND="${DEPEND}"
+
+# bug 689468, tests need polkit etc.
+RESTRICT+=" test"

Reply via email to